Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.BaseTest Class Referenceabstract
Inheritance diagram for Zwipe.Test.Tools.Tests.BaseTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.BaseTest:
[legend]

## Public Member Functions
TestSuite | Perform (TestContext context)

## Protected Member Functions
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Properties
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Private Member Functions
TestSuite | CreateTestSuite (string name)
void | PreClean ()
void | PostClean ()

## Private Attributes
readonly object | _lock = new object()
readonly StringBuilder | _log = new StringBuilder()

## Constructor & Destructor Documentation

## ◆ BaseTest()

Zwipe.Test.Tools.Tests.BaseTest.BaseTest | ( | string | name | ) |
| protected

## Member Function Documentation

## ◆ AddError() [1/2]

void Zwipe.Test.Tools.Tests.BaseTest.AddError | ( | string | name,
|  | string | format,
|  | params object[] | args )
| protected

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ AddError() [2/2]

void Zwipe.Test.Tools.Tests.BaseTest.AddError | ( | string | name,
|  | string | message )
| protected

Here is the call graph for this function:

## ◆ AddSuccess() [1/2]

void Zwipe.Test.Tools.Tests.BaseTest.AddSuccess | ( | string | name,
|  | string | format,
|  | params object[] | args )
| protected

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ AddSuccess() [2/2]

void Zwipe.Test.Tools.Tests.BaseTest.AddSuccess | ( | string | name,
|  | string | message )
| protected

Here is the call graph for this function:

## ◆ Clean()

virtual void Zwipe.Test.Tools.Tests.BaseTest.Clean | ( |  | ) |
| protected virtual

Here is the caller graph for this function:

## ◆ CreateTestSuite()

TestSuite Zwipe.Test.Tools.Tests.BaseTest.CreateTestSuite | ( | string | name | ) |
| private

Here is the caller graph for this function:

## ◆ Execute()

void Zwipe.Test.Tools.Tests.BaseTest.Execute | ( |  | ) |
| abstract protected

Here is the caller graph for this function:

## ◆ Log() [1/2]

void Zwipe.Test.Tools.Tests.BaseTest.Log | ( | string | format,
|  | params object[] | args )
| protected

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Log() [2/2]

void Zwipe.Test.Tools.Tests.BaseTest.Log | ( | string | message | ) |
| protected

## ◆ Perform()

TestSuite Zwipe.Test.Tools.Tests.BaseTest.Perform | ( | TestContext | context | ) |

Implements Zwipe.Test.Tools.ITest.

Here is the call graph for this function:

## ◆ PostClean()

void Zwipe.Test.Tools.Tests.BaseTest.PostClean | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PreClean()

void Zwipe.Test.Tools.Tests.BaseTest.PreClean | ( |  | ) |
| private

Here is the caller graph for this function:

## ◆ Prepare()

virtual bool Zwipe.Test.Tools.Tests.BaseTest.Prepare | ( |  | ) |
| protected virtual

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _lock

readonly object Zwipe.Test.Tools.Tests.BaseTest._lock = new object()
| private

## ◆ _log

readonly StringBuilder Zwipe.Test.Tools.Tests.BaseTest._log = new StringBuilder()
| private

## Property Documentation

## ◆ Context

TestContext Zwipe.Test.Tools.Tests.BaseTest.Context
| get private set protected

## ◆ Name

string Zwipe.Test.Tools.Tests.BaseTest.Name
| get

Implements Zwipe.Test.Tools.ITest.

## ◆ Suite

TestSuite Zwipe.Test.Tools.Tests.BaseTest.Suite
| get private set protected

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/BaseTest.cs